Fetch an assessment config with questions
curl --request GET \
--url https://app.auditynow.com/api/agent/assessment-configs/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.auditynow.com/api/agent/assessment-configs/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.auditynow.com/api/agent/assessment-configs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isTemplate": true,
"questionOrder": [
"<string>"
],
"questionCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"questions": [
{
"id": "<string>",
"questionText": "<string>",
"questionType": "<string>",
"sortOrder": 123,
"isRequired": true
}
],
"name": "<string>",
"hiddenQuestions": [
"<string>"
],
"scoringWeights": {},
"defaultQuestionOverrides": {}
}
}{
"error": "Unauthorized"
}{
"error": "<string>",
"details": "<string>"
}Assessment Configs
Fetch an assessment config with questions
Returns the full assessment config including embedded questions array. Returns 404 if the config doesn’t exist or doesn’t belong to the caller.
GET
/
api
/
agent
/
assessment-configs
/
{id}
Fetch an assessment config with questions
Authorizations
A Personal Access Token issued from https://app.auditynow.com/dashboard/settings/api-tokens. Format: aky_<32 random chars>.
Path Parameters
The assessment config's UUID.
Response
Assessment config detail
An assessment configuration defining which questions are asked and how they are scored.
Show child attributes
Show child attributes
⌘I

